summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorJérémy Zurcher <jeremy@asynk.ch>2012-05-14 08:21:42 +0200
committerJérémy Zurcher <jeremy@asynk.ch>2012-05-14 08:21:42 +0200
commit5eff5cb903e806ec5882b61a31bba07710e34f6e (patch)
tree31c2ae720964dce4dec9650f1c22d60e6303d8dd
parent64337f947d560c5a1fa064d709e6d2e0a6deb348 (diff)
parentcaff24927cba8f787a90a7d22e4fadfc9f082c28 (diff)
downloadbin-5eff5cb903e806ec5882b61a31bba07710e34f6e.zip
bin-5eff5cb903e806ec5882b61a31bba07710e34f6e.tar.gz
Merge branch 'master' of asynk.ch:bin
-rwxr-xr-xeasy_e17.sh6
-rwxr-xr-xwayland.sh11
2 files changed, 12 insertions, 5 deletions
diff --git a/easy_e17.sh b/easy_e17.sh
index 8b46e12..e072c37 100755
--- a/easy_e17.sh
+++ b/easy_e17.sh
@@ -48,8 +48,8 @@ cmd_svn_update_conflicts_ask="svn update -r"
cmake_build_dir="build"
cmake_options=""
-efl_basic="eina eet evas ecore efreet eio eeze e_dbus embryo edje"
-efl_extra="imlib2 azy emotion ethumb libeweather emap ewebkit elementary elev8 enlil ensure esskyuehl libast \
+efl_basic="eina eet evas ecore efreet eio eeze e_dbus embryo edje exquisite evas_generic_loaders emotion ethumb emap ewebkit elementary"
+efl_extra="imlib2 azy libeweather elev8 enlil ensure esskyuehl libast \
python-evas python-ecore python-e_dbus python-edje python-emotion python-elementary shellementary vala"
bin_basic="exchange e"
e_modules_bin="emprint exalt"
@@ -58,7 +58,7 @@ everything-aspell everything-mpris everything-pidgin everything-places everythin
eweather exalt-client exebuf execwatch flame forecasts iiirk mail mem moon mpdule net news penguins photo places quickaccess \
rain screenshot skel slideshow snow taskbar tclock tiling uptime weather winselector wlan xkbswitch"
bin_extra="calculator clouseau converter e_phys ecrire editje edje_viewer elfe elmdentica elsa emote empower enjoy enki epdf envision \
- ephoto espionnage Eterm eve excessive exotic expedite exquisite eyelight phonebook rage sticky-notes"
+ ephoto espionnage Eterm eve excessive exotic expedite eyelight phonebook rage sticky-notes"
bin_games="eblock e_cho econcentration eskiss e-type minesweeper ninestime"
packages_basic="$efl_basic $bin_basic"
diff --git a/wayland.sh b/wayland.sh
index 50a1457..17517a6 100755
--- a/wayland.sh
+++ b/wayland.sh
@@ -49,7 +49,7 @@ echo
function build () {
if [ $FORCE_AUTOGEN -eq 1 -o ! -e Makefile ]; then
- say " * autogen --prefix=$WLD $my_configure_opts" && ./autogen.sh --prefix=$WLD $my_configure_opts
+ say " * autogen.sh --prefix=$WLD $my_configure_opts" && ./autogen.sh --prefix=$WLD $my_configure_opts
fi
if [ $FORCE_DISTCLEAN -eq 1 ]; then
say " * make distclean" && make distclean >/dev/null
@@ -74,7 +74,7 @@ function do_your_job () {
if [ -d "$my_dir" ]; then
cd "$my_dir" && update && cd .. || error
else
- say " * clone $my_src" && git clone "$my_src" "$my_dir" && cd "$my_dir" && autogen && cd .. || error
+ say " * clone $my_src" && git clone "$my_src" "$my_dir" && cd "$my_dir" && build && cd .. || error
fi
}
@@ -87,6 +87,13 @@ my_src=git://anongit.freedesktop.org/wayland/wayland
my_configure_opts=
do_your_job
+# WESTON
+say "weston"
+my_dir=weston
+my_src=git://anongit.freedesktop.org/wayland/weston
+my_configure_opts=
+do_your_job
+
# WAYLAND-DEMOS
say "wayland-demos"
my_dir=wayland-demos